#!/bin/sh
# ----------------------------------------------------------------------------
#  Copyright 2001-2006 The Apache Software Foundation.
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#       http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
# ----------------------------------------------------------------------------

#   Copyright (c) 2001-2002 The Apache Software Foundation.  All rights
#   reserved.

BASEDIR=`dirname $0`/..
BASEDIR=`(cd "$BASEDIR"; pwd)`



# OS specific support.  $var _must_ be set to either true or false.
cygwin=false;
darwin=false;
case "`uname`" in
  CYGWIN*) cygwin=true ;;
  Darwin*) darwin=true
           if [ -z "$JAVA_VERSION" ] ; then
             JAVA_VERSION="CurrentJDK"
           else
             echo "Using Java version: $JAVA_VERSION"
           fi
           if [ -z "$JAVA_HOME" ] ; then
             JAVA_HOME=/System/Library/Frameworks/JavaVM.framework/Versions/${JAVA_VERSION}/Home
           fi
           ;;
esac

if [ -z "$JAVA_HOME" ] ; then
  if [ -r /etc/gentoo-release ] ; then
    JAVA_HOME=`java-config --jre-home`
  fi
fi

# For Cygwin, ensure paths are in UNIX format before anything is touched
if $cygwin ; then
  [ -n "$JAVA_HOME" ] && JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
  [ -n "$CLASSPATH" ] && CLASSPATH=`cygpath --path --unix "$CLASSPATH"`
fi

# If a specific java binary isn't specified search for the standard 'java' binary
if [ -z "$JAVACMD" ] ; then
  if [ -n "$JAVA_HOME"  ] ; then
    if [ -x "$JAVA_HOME/jre/sh/java" ] ; then
      # IBM's JDK on AIX uses strange locations for the executables
      JAVACMD="$JAVA_HOME/jre/sh/java"
    else
      JAVACMD="$JAVA_HOME/bin/java"
    fi
  else
    JAVACMD=`which java`
  fi
fi

if [ ! -x "$JAVACMD" ] ; then
  echo "Error: JAVA_HOME is not defined correctly."
  echo "  We cannot execute $JAVACMD"
  exit 1
fi

if [ -z "$REPO" ]
then
  REPO="$BASEDIR"/lib
fi

CLASSPATH=$CLASSPATH_PREFIX:"$BASEDIR"/resources:"$REPO"/sinaduraCore-3.3.15.jar:"$REPO"/pdfbox-1.8.7.jar:"$REPO"/fontbox-1.8.7.jar:"$REPO"/jempbox-1.8.7.jar:"$REPO"/commons-logging-1.1.1.jar:"$REPO"/integration-1.6.1.jar:"$REPO"/slf4j-api-1.6.1.jar:"$REPO"/junit-3.8.1.jar:"$REPO"/ant-junit-1.6.5.jar:"$REPO"/org.apache.felix.main-2.0.2.jar:"$REPO"/org.apache.felix.framework-2.0.2.jar:"$REPO"/org.apache.felix.shell-1.4.1.jar:"$REPO"/org.apache.felix.shell.tui-1.4.1.jar:"$REPO"/org.apache.felix.bundlerepository-1.4.2.jar:"$REPO"/slf4j-log4j12-1.6.4.jar:"$REPO"/commons-vfs2-sinadura-2.0.jar:"$REPO"/maven-scm-api-1.4.jar:"$REPO"/plexus-utils-1.5.6.jar:"$REPO"/maven-scm-provider-svnexe-1.4.jar:"$REPO"/maven-scm-provider-svn-commons-1.4.jar:"$REPO"/regexp-1.3.jar:"$REPO"/jackrabbit-webdav-2.4.0.jar:"$REPO"/commons-httpclient-3.0.jar:"$REPO"/commons-codec-1.2.jar:"$REPO"/jcl-over-slf4j-1.6.4.jar:"$REPO"/log4j-1.2.9.jar:"$REPO"/MITyCLibXADES-sinadura-1.0.7.jar:"$REPO"/commons-lang-2.4.jar:"$REPO"/xalan-2.7.1.jar:"$REPO"/serializer-2.7.1.jar:"$REPO"/xml-apis-1.3.04.jar:"$REPO"/MITyCLibPolicy-1.0.4.jar:"$REPO"/MITyCLibAPI-1.0.4.jar:"$REPO"/MITyCLibCert-1.0.4.jar:"$REPO"/MITyCLibOCSP-sinadura-1.0.5.jar:"$REPO"/MITyCLibTrust-1.0.4.jar:"$REPO"/MITyCLibTSA-sinadura-1.0.5.jar:"$REPO"/xmlsec-mityc-sinadura-1.4.3.jar:"$REPO"/itextpdf-5.0.5.jar:"$REPO"/bcmail-jdk16-1.45.jar:"$REPO"/bcprov-jdk16-1.45.jar:"$REPO"/bctsp-jdk16-1.45.jar:"$REPO"/commons-compress-1.1.jar:"$REPO"/sinaduraEE-Interface-3.3.5.jar:"$REPO"/smartwrapper-1.0.jar:"$REPO"/zain-client-axis-1.0.jar:"$REPO"/commons-io-1.3.2.jar:"$REPO"/commands-3.6.0.jar:"$REPO"/common-3.6.0.jar:"$REPO"/workbench-3.6.1.jar:"$REPO"/jface-3.6.1.jar:"$REPO"/commons-io-2.0.1.jar:"$REPO"/rome-1.0.0.jar:"$REPO"/jdom-1.0.jar:"$REPO"/commons-csv-1.0.jar:"$REPO"/x86_64-3.6.1.jar:"$REPO"/sinaduraDesktop-4.2.0.jar
EXTRA_JVM_ARGUMENTS=""

# For Cygwin, switch paths to Windows format before running java
if $cygwin; then
  [ -n "$CLASSPATH" ] && CLASSPATH=`cygpath --path --windows "$CLASSPATH"`
  [ -n "$JAVA_HOME" ] && JAVA_HOME=`cygpath --path --windows "$JAVA_HOME"`
  [ -n "$HOME" ] && HOME=`cygpath --path --windows "$HOME"`
  [ -n "$BASEDIR" ] && BASEDIR=`cygpath --path --windows "$BASEDIR"`
  [ -n "$REPO" ] && REPO=`cygpath --path --windows "$REPO"`
fi

exec "$JAVACMD" $JAVA_OPTS \
  $EXTRA_JVM_ARGUMENTS \
  -classpath "$CLASSPATH" \
  -Dapp.name="sinadura.sh" \
  -Dapp.pid="$$" \
  -Dapp.repo="$REPO" \
  -Dbasedir="$BASEDIR" \
  net.esle.sinadura.gui.Sinadura \
  "$@"
